> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List SCA alerts

> List consolidated SCA alerts with filters for language, severity, and reachability.



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v1/sca/alerts/search
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v1/sca/alerts/search:
    post:
      tags:
        - SCA
      summary: List SCA alerts
      description: >-
        List consolidated SCA alerts with filters for language, severity, and
        reachability.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListScaAlertsInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScaAlertListResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ListScaAlertsInput:
      type: object
      properties:
        organizationId:
          type: string
        repositoryIds:
          type: array
          items:
            type: string
        page:
          type: integer
          minimum: 1
          default: 1
        pageSize:
          type: integer
          minimum: 1
          default: 50
        query:
          type: string
          description: Filter by advisory identifier, aliases, or title
        languages:
          type: array
          items:
            type: string
          description: Filter by programming languages associated with reachability
        severities:
          type: array
          items:
            type: string
            enum:
              - critical
              - high
              - medium
              - low
        reachability:
          type: array
          items:
            type: string
            enum:
              - reachable
              - needs_review
              - unreachable
          description: Reachability classification for grouped issues
    ScaAlertListResponse:
      type: object
      properties:
        alerts:
          type: array
          items:
            $ref: '#/components/schemas/ScaAlert'
        totalCount:
          type: integer
        page:
          type: integer
        pageSize:
          type: integer
    ScaAlert:
      type: object
      properties:
        id:
          type: string
        isAlerted:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        metadata:
          type: object
          properties:
            id:
              type: string
            packageIdentifier:
              type: string
            aliases:
              type: array
              items:
                type: string
            references:
              type: array
              items:
                type: string
            summary:
              type: string
            description:
              type: string
            severityScore:
              type:
                - number
                - 'null'
            severity:
              type:
                - string
                - 'null'
              enum:
                - critical
                - high
                - medium
                - low
                - info
                - null
          required:
            - id
            - packageIdentifier
            - summary
            - description
        languages:
          type: array
          items:
            type: string
        reachabilityCounts:
          type: object
          properties:
            reachable:
              type: integer
            needsReview:
              type: integer
            unreachable:
              type: integer
          required:
            - reachable
            - needsReview
            - unreachable
      required:
        - id
        - isAlerted
        - createdAt
        - updatedAt
        - metadata
        - languages
        - reachabilityCounts
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````